.file-download {
  --icon-size: 24px;
  --icon-url: none;
  --title-font: var(--typography-body-medium);
  --description-font: var(--typography-body-small);
  background: transparent var(--icon-url) left top no-repeat;
  background-size: var(--icon-size);
  padding-left: calc(var(--icon-size) + var(--spacing-sm));
}

.file-download__title {
  font: var(--title-font);
  font-weight: bold;
}

.file-download__description {
  font: var(--description-font);
}

.file-download__file-info {
  font: var(--typography-label-medium);
  color: var(--color-text-dimmed);
}

.file-download--type-pdf {
  --icon-url: url('../../../icons/other/application-pdf.svg');
}

.file-download--type-doc,
.file-download--type-docx {
  --icon-url: url('../../../icons/other/x-office-document.svg');
}

.file-download--type-xls,
.file-download--type-xlsx {
  --icon-url: url('../../../icons/other/x-office-spreadsheet.svg');
}

.file-download--type-png,
.file-download--type-jpg,
.file-download--type-webp {
  --icon-url: url('../../../icons/other/image-png.svg');
}
